Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.expdelay
Class MeanNLastWaitingTimePredictor

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.expdelay.LastWaitingTimePredictor
          umontreal.iro.lecuyer.contactcenters.expdelay.MeanNLastWaitingTimePredictor

All Implemented Interfaces:
  WaitingTimePredictor

Direct Known Subclasses:
  MeanNLastWaitingTimePerQueuePredictor

    public class MeanNLastWaitingTimePredictor

extends LastWaitingTimePredictor

Constructor Summary
`MeanNLastWaitingTimePredictor()`

Method Summary
`protected void` | `dequeued(DequeueEvent ev)`
`double` | `getWaitingTime(Contact contact)` Returns a prediction of the waiting time of contact `contact` waiting in any queue.
`double` | `getWaitingTime(Contact contact, WaitingQueue queue)` Returns a prediction of the waiting time for the given contact `contact` conditional on the contact joining the waiting queue `queue`.
`void` | `init()` Resets any internal variable of this predictor.
`void` | `setRouter(Router newRouter)` Sets the router associated with this predictor to `router`.
`void` | `setWaitingTimeDefaultVQ(double attente)`
`void` | `setWindowSizeVQ(int taille)`
`double` | `updateWaitingTime(DequeueEvent ev)`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.expdelay.LastWaitingTimePredictor
`getRouter, isCollectingAbandonment, isCollectingService, setCollectingAbandonment, setCollectingService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeanNLastWaitingTimePredictor

    public MeanNLastWaitingTimePredictor()

Method Detail

### setWindowSizeVQ

    public void setWindowSizeVQ(int taille)

### setWaitingTimeDefaultVQ

    public void setWaitingTimeDefaultVQ(double attente)

### getWaitingTime

    public double getWaitingTime(Contact contact)

  Description copied from interface: `WaitingTimePredictor`
  Returns a prediction of the waiting time of contact `contact` waiting in any queue. This method returns `Double.NaN` if it cannot make a prediction for the given contact.

  Specified by:
    `getWaitingTime` in interface `WaitingTimePredictor`
  Overrides:
    `getWaitingTime` in class `LastWaitingTimePredictor`
  Parameters:
    `contact` - the contact for which we need a prediction.
  Returns:
    the global waiting time.

### getWaitingTime

    public double getWaitingTime(Contact contact,
                                 WaitingQueue queue)

  Description copied from interface: `WaitingTimePredictor`
  Returns a prediction of the waiting time for the given contact `contact` conditional on the contact joining the waiting queue `queue`. This method returns `Double.NaN` if it cannot make a prediction for the given contact, or the given waiting queue.

  Specified by:
    `getWaitingTime` in interface `WaitingTimePredictor`
  Overrides:
    `getWaitingTime` in class `LastWaitingTimePredictor`
  Parameters:
    `contact` - the contact for which a delay is predicted.
    `queue` - the target waiting queue.
  Returns:
    the predicted delay.

### updateWaitingTime

    public double updateWaitingTime(DequeueEvent ev)

### init

    public void init()

  Description copied from interface: `WaitingTimePredictor`
  Resets any internal variable of this predictor.

  Specified by:
    `init` in interface `WaitingTimePredictor`
  Overrides:
    `init` in class `LastWaitingTimePredictor`

### setRouter

    public void setRouter(Router newRouter)

  Description copied from interface: `WaitingTimePredictor`
  Sets the router associated with this predictor to `router`. When `router` is non-`null`, this method can also register any listener required to make the predictions. If the router associated with a predictor is changed, the predictor should unregister any listener associated with the previous router.

  Specified by:
    `setRouter` in interface `WaitingTimePredictor`
  Overrides:
    `setRouter` in class `LastWaitingTimePredictor`
  Parameters:
    `newRouter` - the new router.

### dequeued

    protected void dequeued(DequeueEvent ev)

  Overrides:
    `dequeued` in class `LastWaitingTimePredictor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.